---
home: true
heroImage: null
heroText: Nushell
tagline: A new type of shell.
actionText: Get Started →
actionLink: /book/
features:
  - title: Pipelines to control any OS
    details: Nu works on Linux, macOS, BSD, and Windows. Learn it once, then use it anywhere.
  - title: Everything is data
    details: Nu pipelines use structured data so you can safely select, filter, and sort the same way every time. Stop parsing strings and start solving problems.
  - title: Powerful plugins
    details: It's easy to extend Nu using a powerful plugin system.
---

<img src="https://www.nushell.sh/frontpage/ls-example.png" alt="Screenshot showing using the ls command" class="hero"/>

### Nu works with existing data

Nu speaks [JSON, YAML, SQLite, Excel, and more](/book/loading_data.html) out of the box. It's easy to bring data into a Nu pipeline whether it's in a file, a database, or a web API:

<img src="https://www.nushell.sh/frontpage/fetch-example.png" alt="Screenshot showing fetch with a web API" class="hero"/>

### Nu has great error messages

Nu operates on typed data, so it catches bugs that other shells don't. And when things break, Nu tells you exactly where and why:

<img src="https://www.nushell.sh/frontpage/miette-example.png" alt="Screenshot showing Nu catching a type error" class="hero"/>

## Get Nu

Nushell is available as [downloadable binaries](https://github.com/nushell/nushell/releases), [via your favourite package manager](https://repology.org/project/nushell/versions), in [a GitHub Action](https://github.com/marketplace/actions/setup-nu), and as [source code](https://github.com/nushell/nushell). Read [the detailed installation instructions](/book/installation.html) or dive right in:

#### macOS / Linux:

```console
$ brew install nushell
```

#### Windows:

```console
$ winget install nushell
```

After installing, launch Nu by typing `nu`.

## Community

Join us [on Discord](https://discord.gg/NtAbbGn) if you have any questions about Nu!

You can help improve this site by [giving us feedback](https://github.com/nushell/nushell.github.io/issues) or [sending a PR](https://github.com/nushell/nushell.github.io/pulls).
