---
title: Nushell 0.18
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.18 of Nu. The focus of this release was largely to polish what is already there, ensuring that internally parts work together better, are more consistent, and are easier to maintain. We've also added new commands for working with paths, URLs, strings, and lists.
---

# Nushell 0.18

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.18 of Nu. The focus of this release was largely to polish what is already there, ensuring that internally parts work together better, are more consistent, and are easier to maintain. We've also added new commands for working with paths, URLs, strings, and lists.

# Where to get it

Nu 0.18 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.18.1) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want more goodies, you can install `cargo install nu --features=stable`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

_Please note:_ as part of last minute changes, we had to bump the first release version of 0.18 to 0.18.1 instead of 0.18.0.

# What's New

## Command improvements

- **New:** [`reduce` command](https://github.com/nushell/nushell/pull/2292) to reduce a list of values into a value (bailey-layzer)
- **New:** [`path basename`, `path extension`, `path expand`](https://github.com/nushell/nushell/pull/2255) for working with path values (mattyhall)
- **New:** [`path type` and `path exists`](https://github.com/nushell/nushell/pull/2264) for more path-related functionality (mattyhall)
- **New:** [`str ltrim` and `str rtrim`](https://github.com/nushell/nushell/pull/2262) to trim off left-hand and right-hand characters (k-brk)
- **New:** [`str starts-with` and `str ends-with`](https://github.com/nushell/nushell/pull/2269) to check if a string begins or ends with a given substring (k-brk)
- **New:** the [`url` subcommands](https://github.com/nushell/nushell/pull/2274) for dealing with URLs (mattyhall)
- The history file path is [now configurable](https://github.com/nushell/nushell/pull/2320) (Amanita-muscaria)
- The startup banner can now be [turned off](https://github.com/nushell/nushell/pull/2314) (avranju)
- `version` now contains the [features](https://github.com/nushell/nushell/pull/2333) that Nu was built with (andrasio)
- `math stddev` and `math variance` can now [sample the input](https://github.com/nushell/nushell/pull/2310) (andrasio)
- `do -i` will also [ignore stderr output](https://github.com/nushell/nushell/pull/2309) from external commands (jonathandturner)
- `to html` now has [many themes to choose from](https://github.com/nushell/nushell/pull/2308) (fdncred)
- `to html` also now has [list output](https://github.com/nushell/nushell/pull/2273) (coolshaurya)
- More of the line editor settings are [now configurable](https://github.com/nushell/nushell/pull/2238) (fdncred)
- `str to-datetime` can now [parse many more date formats](https://github.com/nushell/nushell/pull/2303) (nmandery)
- `str join` now optionally takes [a separator value](https://github.com/nushell/nushell/pull/2289) (coolshaurya)
- `histogram` can now [work with simple values](https://github.com/nushell/nushell/pull/2300) (andrasio)
- `ls -al` (and `ps -l`) are now the preferred way of getting a full listing (JosephTLyons)
- `insert` now [takes a block](https://github.com/nushell/nushell/pull/2265) to do the work of inserting values (coolshaurya)

## Breaking changes

The flags for --full in `ls` and `ps` has been changed to --long (-l) to better align with habits from other shells.

Line editor config settings have [moved to their own section](https://github.com/nushell/nushell/pull/2238).

## Demo site (jzaefferer, jonathandturner)

There have been a number of improvements to the new wasm-based demo site, including new colors, command improvements, pivoting of long tables, and more.

## Bugfixes (fdncred, kornelski, JosephTLyons, andrasio, thegedge, jonathandturner, jzaefferer, warrenseine, coolshaurya)

Fixed issues with different types of symlinks on Windows, Nu will now used the support app_dirs crate, lots of internal match logic cleanup, internal representation of data summaries got a cleanup, getting ready to add a winget package, the first wave of parser cleanups ahead of future completion work, cleaned up unnecessary extra build steps, new command examples, improvements to the new `path` command errors, fixed histogram example, and consistency improvements.

# Looking forward

We're nearly to the first birthday for Nu! In the near future, we'll continue to improve completions, work on a possible new [data frames](https://github.com/nushell/rfcs/pull/3) implementation, continuing to push the wasm implementation further, and more.
