---
title: Nushell 0.23
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.23 of Nu. In this version, we continue improving the commands, release a new website, and talk about some of the experiments that will be making their way into Nu in future versions.
---

# Nushell 0.23

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.23 of Nu. In this version, we continue improving the commands, release a new website, and talk about some of the experiments that will be making their way into Nu in future versions.

<!-- more -->

# Where to get it

Nu 0.23 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.23.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## New website (ibraheemdev)

![picture of the new Nushell website](../assets/images/0_23_website.png)

_The new website_

We've just put up the first version of a new website that combines the front site with the books and docs all in one place. We're still continuing to polish this, so if you'd like to help out, come by the [discord](https://discord.gg/NtAbbGn) and say hello!

## Breaking changes

The `from json` command used to preserve the order of fields. Unfortunately, unsafe behaviors in one of the dependencies we used for this were recently found and we've had to (perhaps temporarily) remove the order preservation. We'd happily accept PRs that re-enabled this functionality.

## Improvements

- Better table alignments (fdncred)
- `seq` now can do date ranges as well (fdncred)
- More refactoring towards script support (jonathandturner)
- Some doc naming has been cleaned up (LhKipp)
- Lots of [`path` fixes and improvements](https://github.com/nushell/nushell/pull/2742) have now landed (kubouch)
- Build artifacts are [now smaller](https://github.com/nushell/nushell/pull/2747) (fdncred)
- Some broken docs links have been fixed (naufraghi)
- A new `random decimal` command (smaydew)
- Some `str substring` fixes (andrasio)

# Looking forward

We've been splitting our efforts between the website, Nushell, and two new side projects that will feed into Nushell in the future: [nunu](https://github.com/jonathandturner/nunu/) and [nunu2](https://github.com/jonathandturner/nunu2). The first is investigating some parser improvements we could do in Nushell to better support scripts and more in the future. The second experiments with variables, blocks, and evaluation. Combined, they should some signs of what we hope will be available in Nu in the weeks to come.

As always, if you see somewhere you'd like to help or just want to chat, come by the [discord](https://discord.gg/NtAbbGn) and say hi!
