---
title: Nushell 0.24
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.24 of Nu. We've added a few new utilities, improved the existing date functionality, and more.
---

# Nushell 0.24

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.24 of Nu. We've added a few new utilities, improved the existing date functionality, and more.

<!-- more -->

# Where to get it

Nu 0.24 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.24.1) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

**Note:** There was a build issue discovered immediately after release, so we've also released a hotfix (0.24.1) to address this issue.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## Improvements

- added a `hash` command for creating hashes (notryanb, andrasio)
- improved the public API by making `run_block` public (max-sixty)
- `version` now shows more information about the build (fdncred)
- `from csv` will show where errors happened if they occur (Dietr1ch)
- `date` now has some new-and-improved subcommands (jz448)
- added a new `random chars` subcommand (gillespiecd)
- gitpod setup got fixed (jankeronmes)
- a new `math abs` command (xolve)

# Looking forward

Our work on the big update has continued, and we're looking forward to making it available soon. We're now down to the last three known outstanding issues that need to be resolved before the work can be merged into the main Nushell source code.

As it lands, we'll need your help to try it out and give us feedback to help us continue to improve it.

As always, if you see somewhere you'd like to help or just want to chat, come by the [discord](https://discord.gg/NtAbbGn) and say hi!
