---
title: Nushell 0.27
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.27 of Nu. This release fixes some long-standing issues with Nushell.
---

# Nushell 0.27

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.27 of Nu. This release fixes some long-standing issues with Nushell.

<!-- more -->

# Where to get it

Nu 0.27 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.27.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## Book updates (fdncred, jonathandturner)

The Nushell book received some much-needed updates. You'll notice new chapters and updated chapters to bring it more up-to-date with recent Nushell.

- [Thoroughly updated configuration section](https://www.nushell.sh/book/configuration.html)
- [Updated section on data types](https://www.nushell.sh/book/types_of_data.html)
- [A new section on creating your own commands](https://www.nushell.sh/book/custom_commands.html)
- [An updated section on aliases](https://www.nushell.sh/book/aliases.html)
- [A new section on working with variables and expressions](https://www.nushell.sh/book/variables_and_subexpressions.html)
- [The start of a new section on writing your own Nushell scripts](https://www.nushell.sh/book/scripts.html)

# Improvements

## New commands (fdncred)

- A new `term size` commands [lets you get the current size of the terminal](https://github.com/nushell/nushell/pull/3038)
- New [`pow` operator](https://github.com/nushell/nushell/pull/2976)
- New [modulus(`%`) operator](https://github.com/nushell/nushell/pull/2975)

## Functionality (jonathandturner, WatsonThink, ilius, andrasio, Qwanve, fdncred, ammkrn)

- Tables now [truncate instead of crashing when too large](https://github.com/nushell/nushell/pull/3061)
- `source` command now can [use tilde in the path](https://github.com/nushell/nushell/pull/3059)
- `let-env` can now shadow [environment variables](https://github.com/nushell/nushell/pull/3057) in addition to adding new ones
- Prompts can now call [external commands on initial startup](https://github.com/nushell/nushell/pull/3056)
- You can now configure the [file size standard to use](https://github.com/nushell/nushell/pull/3045)
- Strings can now be passed in where [column-paths were expected](https://github.com/nushell/nushell/pull/3048) and [here](https://github.com/nushell/nushell/pull/3016)
- More [file size types have been added](https://github.com/nushell/nushell/pull/3035)
- `sort-by` can now [reverse sort](https://github.com/nushell/nushell/pull/3025)
- `which` can now take [multiple applications](https://github.com/nushell/nushell/pull/3024)
- `ps -l` now has [a cleaner output when the parent is missing](https://github.com/nushell/nushell/pull/3015)
- `select` can no longer [select the same column twice](https://github.com/nushell/nushell/pull/3012)
- `to-md --per-element` now gives you [more fine-grained control over the markdown output](https://github.com/nushell/nushell/pull/2997)
- A new [`$nothing` built-in variable to help check for the existence of a value](https://github.com/nushell/nushell/pull/2995)
- `str from` can convert [more things to strings](https://github.com/nushell/nushell/pull/2977)
- Booleans are now shown as [true/false instead of Yes/No](https://github.com/nushell/nushell/pull/3043)

## Internal (stormasm, ilius, fdncred, LhKipp, RReverser, jonathandturner)

- Some [comment parsing improvements](https://github.com/nushell/nushell/pull/3053)
- The `block` function is now [`parse_block`](https://github.com/nushell/nushell/pull/3047)
- More [Value helpers were added](https://github.com/nushell/nushell/pull/3000)
- [Parser cleanup for handling `def`](https://github.com/nushell/nushell/pull/2986)
- The [WASI build should now be working again](https://github.com/nushell/nushell/pull/2983)
- File size is [now a big int](https://github.com/nushell/nushell/pull/2984)

## Documentation (watzon, ahkrr, LhKipp, Andy-Python-Programmer, diogomafra)

- Sample config has [gotten an update](https://github.com/nushell/nushell/pull/3060) and [here](https://github.com/nushell/nushell/pull/3031)
- Some [README links got updated](https://github.com/nushell/nushell/pull/3052)
- More [README updates](https://github.com/nushell/nushell/pull/3013) and [here](https://github.com/nushell/nushell/pull/2996)
- README now shows [contributor icons](https://github.com/nushell/nushell/pull/2993)

# Breaking changes

- Booleans are now shown as [true/false instead of Yes/No](https://github.com/nushell/nushell/pull/3043)

# Looking ahead

We're hard at work at putting together the proposed features for Nushell 1.0, which will help guide the work to get there. While there's still much work to do to achieve a 1.0 release, this proposal will let the community help refine and correct the direction. We're looking forward to kicking this off in the coming weeks.
