---
title: Nushell 0.29
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.29 of Nu. This release adds more polish for paths, streaming, and more.
---

# Nushell 0.29

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.29 of Nu. This release adds more polish for paths, streaming, and more.

<!-- more -->

# Where to get it

Nu 0.29 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.29.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

If you'd like to try the experimental paging feature in this release, you can install with `cargo install nu --features=table-pager`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## New commands

- notryanb added the [`hash md5` command](https://github.com/nushell/nushell/pull/3197)

## Functionality

- John-Goff [renamed the `count` command to `length`](https://github.com/nushell/nushell/pull/3166)
- ahkrr bumped [rustyline to 8.0.0](https://github.com/nushell/nushell/pull/3167)
- fdncred extended [`char` to allow for more complex unicode](https://github.com/nushell/nushell/pull/3195)
- fdncred also added support to [`cd ~/dir`](https://github.com/nushell/nushell/pull/3210)
- gonatz added [forward slash autocompletion for Windows](https://github.com/nushell/nushell/pull/3201)
- stormasm added the [`$scope` variable to see into the current scope](https://github.com/nushell/nushell/pull/3203). The currently only supports seeing the aliases in scope.
- DonnotPanic added [timezone support for time conversions](https://github.com/nushell/nushell/pull/3207)

## Internal

- jonathandturner fixed an issue with [input stream buffering for text](https://github.com/nushell/nushell/pull/3153)
- fdncred updated the [`fetch` command for better portability](https://github.com/nushell/nushell/pull/3154)
- andrasio improved [the test playground](https://github.com/nushell/nushell/pull/3179)
- andrasio also improved [test coverage for context and more](https://github.com/nushell/nushell/pull/3217)
- nibon7 fixed [running tests with `--release`](https://github.com/nushell/nushell/pull/3184)
- ahkrr improved [prompt reliability](https://github.com/nushell/nushell/pull/3189)

## Documentation

- suzanje fixed some broken [contributor book links](https://github.com/nushell/nushell/pull/3198)
- mvolkmann fixed a [typo in the help text](https://github.com/nushell/nushell/pull/3216)

## Breaking changes

- The [`count` command is now `length`](https://github.com/nushell/nushell/pull/3166) for better discoverability.

# Looking ahead

There are a few different on-going projects to help Nushell. New this week is [engine-p](https://github.com/jonathandturner/enginep/tree/gradient_deep_dive_wip), an experimental engine that explores what an iterator+parallel approach would be like in contrast to Nu's current async stream approach. Early results are promising here, as the engine appears to perform better while also using a simpler set of patterns, which should help new contributors.

We've also posted our [proposal for shipping 1.0](https://github.com/nushell/rfcs/pull/6). This lays out the proposed path for Nushell to reach 1.0 and beyond, including the features Nushell will ship with at 1.0. If you'd like to give us feedback, we'd love to have it. You can add comments directly on the proposal and we'll gather the feedback and use it in the next round of revisions.
