---
title: Nushell 0.31
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.31 of Nu. This release includes continued polish of the engine and commands.
---

# Nushell 0.31

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.31 of Nu. This release includes continued polish of the engine and commands.

<!-- more -->

# Where to get it

Nu 0.31 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.31.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

If you'd like to try the experimental paging feature in this release, you can install with `cargo install nu --features=table-pager`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

This release is largely around polish. We've continued to improve Nushell's engine to work in the more streamlined style, improved the performance of commands like `ps` and the appearance of commands like `binaryview`.

## New commands (fdncred)

- [`into string`](https://github.com/nushell/nushell/issues/3403) to convert values to strings
- [`into binary`](https://github.com/nushell/nushell/issues/3370) to convert values to binary

## Improvements

### Nushell

- natemara fixed [a slowness in the `ps` command](https://github.com/nushell/nushell/pull/3407)
- elferherrera, kubouch, stormasm, LhKipp ported commands to the new engine-p style
- fdncred improved [binaryview](https://github.com/nushell/nushell/issues/3370), [added check for endian-ness, added a bytes and skip](https://github.com/nushell/nushell/issues/3375), [added ability to change "#" color using header_color](https://github.com/nushell/nushell/issues/3374), [tweaked the error handling to show specific errors](https://github.com/nushell/nushell/issues/3367), [updated to a quicker Levenshtein implementation](https://github.com/nushell/nushell/issues/3366), and [allowed start to handle urls](https://github.com/nushell/nushell/issues/3351)
- kubouch [fixed table-pager feature compilation](https://github.com/nushell/nushell/issues/3359)
- Azgrom created a [features cargo installer wrapper](https://github.com/nushell/nushell/issues/3388)
- jgoday added [ignore-case and duplicated options to `uniq` command ](https://github.com/nushell/nushell/issues/3387), and fixed a [reduce --numbered bug](https://github.com/nushell/nushell/issues/3354)
- ammkrn fixed a panic in the [rustyline helper](https://github.com/nushell/nushell/issues/3382)
- Sciencentistguy fixed an [array index out of bounds error in nu_protocol::value::levenshtein_distance()](https://github.com/nushell/nushell/issues/3358)
- ccde177b5fb9b8c55078417b4c9fee removed [ichwh](https://github.com/nushell/nushell/issues/3349)
- LhKipp fixed an issue [in nu-env if `cd` with shortcuts](https://github.com/nushell/nushell/issues/3344)

### Extension

- fdncred fixed [a bug in the syntax highlighting](https://github.com/nushell/vscode-nushell-lang/issues/32)

### Documentation

- nalpine fixed [dead links](https://github.com/nushell/nushell.github.io/issues/126)
- ChristopherBiscardi updated [starship prompt integration](https://github.com/nushell/nushell.github.io/issues/125)
- ammkrn updated [ls -f -> ls -la](https://github.com/nushell/nushell.github.io/issues/123)

### Nu Scripts

- fdncred created [table grouping experiment, update twin to support single user per row](https://github.com/nushell/nu_scripts/issues/48), [twin weeknum guess](https://github.com/nushell/nu_scripts/issues/46), and a [prototype of TWiN automation script](https://github.com/nushell/nu_scripts/issues/44)
- efx added [a one liner to parse aws s3 ls output](https://github.com/nushell/nu_scripts/issues/47)
- jonathandturner fixed [TWiN range](https://github.com/nushell/nu_scripts/issues/45)

# Looking ahead

Coming soon after the 0.31 release, we'll be landing [some improvements](https://github.com/nushell/nushell/pull/3389) to Nushell's syntax. These fixes will be breaking changes, but they're for a good reason. The simplification of the syntax will make Nushell both more consistent and more approachable for new users and experienced users alike.

We're also continuing to improve the command implementations. If you'd like to help, you can join in by [signing up here](https://github.com/nushell/nushell/issues/3390).
