---
title: Nushell 0.35
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.35 of Nu. This release shows off a lot of dataframe progress and lots of command polish.
---

# Nushell 0.35

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.35 of Nu. This release shows off a lot of dataframe progress and lots of command polish.

<!-- more -->

# Where to get it

Nu 0.35 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.35.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## New commands

- [`into path`](https://github.com/nushell/nushell/pull/3811) (realcundo)
- [`date humanize`](https://github.com/nushell/nushell/pull/3833) (zkat)
- [`hash sha256`](https://github.com/nushell/nushell/pull/3836) (with [additional improvements](https://github.com/nushell/nushell/pull/3841)) (realcundo)

## Dataframe improvements (elferherrera)

- [Improved join operation](https://github.com/nushell/nushell/pull/3776)
- [Faster CSV reading and encoding](https://github.com/nushell/nushell/pull/3781)
- [New shape command](https://github.com/nushell/nushell/pull/3805)
- [Remove Series and treat all dataframe structures the same](https://github.com/nushell/nushell/pull/3812)
- [Support for appending dataframes](https://github.com/nushell/nushell/pull/3839)
- [Allow dataframes to hold more kinds of data](https://github.com/nushell/nushell/pull/3864)
- [Simplified contains command](https://github.com/nushell/nushell/pull/3874)
- [Pretty printing for nested dataframes](https://github.com/nushell/nushell/pull/3875)

## Additional improvements

- Hinting is [now configurable](https://github.com/nushell/nushell/pull/3780) (fdncred)
- [Improvements to our winget releases](https://github.com/nushell/nushell/pull/3767) and [publish workflows](https://github.com/nushell/nushell/pull/3819) (TechWatching)
- More commands [got some additional cleanup](https://github.com/nushell/nushell/pull/3794) (sambordo1)
- Startup times [now have a detailed breakdown](https://github.com/nushell/nushell/pull/3854) (fdncred)
- You can now [compare durations](https://github.com/nushell/nushell/pull/3845) (fdncred)
- Fixed [docs for `completion_type`](https://github.com/nushell/nushell/pull/3804) (dirtybit)
- Fixed [theme for text viewing](https://github.com/nushell/nushell/pull/3807) (fdncred)
- [`describe` no longer outputs using colors](https://github.com/nushell/nushell/pull/3832) (fdncred)
- String intepolation [now handles Unicode better](https://github.com/nushell/nushell/pull/3866) (fdncred)
- Fixed [path separator in `pathvar`](https://github.com/nushell/nushell/pull/3829) (nathom)
- [Power operations can now be negative](https://github.com/nushell/nushell/pull/3821) (jafriyie1)
- Issues now [use GitHub forms](https://github.com/nushell/nushell/pull/3818) (zkat)
- Fixed a typo [in our github release configuration](https://github.com/nushell/nushell/pull/3824) (zkat)
- Date formatting now [uses the chrono_humanize crate](https://github.com/nushell/nushell/pull/3834) (zkat)
- Updated the [docs on implementing a command](https://github.com/nushell/nushell/pull/3848) (margguo)
- Cleaned up [some stale dependencies](https://github.com/nushell/nushell/pull/3853) (elferherrera)
- Improved [how `select` handles empty cells](https://github.com/nushell/nushell/pull/3857) (realcundo)
- Added [named block params to `all?`](https://github.com/nushell/nushell/pull/3863) (jt)
- [Better handling of environment shorthands](https://github.com/nushell/nushell/pull/3869) (lily-mara)
- Added [support for multi-doc yaml files](https://github.com/nushell/nushell/pull/3870) (realcundo)
- Added [a new crate to support Nu serialization more directly with serde](https://github.com/nushell/nushell/pull/3878) (lily-mara)

# Looking ahead

We're hard at work at bringing more dataframe support into nushell itself, which will allow us to use it for more actions, and extend support to dataframes to existing commands.

We're also working on the new [parsing/evaluation engine](https://github.com/jntrnr/engine-q) which is proving to be both faster and more correct than the current nushell engine. We're excited to keep evolving it and then integrating it into Nushell. This engine will also be fast enough, and correct enough, to drive completions as Nu scripts. This will allow us to add intelligent completions that work with both internal and external commands.

Finally, we're nearing the goal for [reedline](https://github.com/jntrnr/reedline), which is now solid enough, and complete enough, to use for daily work. We're hoping to polish it up and then experiment with moving Nushell to use it in the coming release (or two).
