---
title: Nushell 0.38
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.38 of Nu. This release includes polish to the user interface, improvements to how columns are passed, lots of bug fixes, and updates on the upcoming engine.
---

# Nushell 0.38

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.38 of Nu. This release includes polish to the user interface, improvements to how columns are passed, lots of bug fixes, and updates on the upcoming engine.

<!-- more -->

# Where to get it

Nu 0.38 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.38.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## Quickly jump to a shell (tw4452852)

If you've used shells, you've no doubt used the `n` and `p` commands to quickly jump between them. This can be a big time saver when you're working in multiple directories.

In this release, we've added a `g` command that helps you quickly jump to a particular shell. This helps in the cases where you end up with more than two shells open and you already know what shell you want to jump to.

## Additional improvements

- Improvements in [updated table cell values](https://github.com/nushell/nushell/pull/4027) (andrasio)
- `update cells` command now [can take a list of columns](https://github.com/nushell/nushell/pull/4039) (ArtoLord)
- You can now also [pass a list of columns to `select`](https://github.com/nushell/nushell/pull/4062) (JoshCheek)
- Improvements in [how html table scraping works](https://github.com/nushell/nushell/pull/4036) and [also](https://github.com/nushell/nushell/pull/4043) (luccasmmg)
- Fix to [compiling on nightly](https://github.com/nushell/nushell/pull/4037) (gilescope)
- Removed [unused deps](https://github.com/nushell/nushell/pull/4038) (gilescope)
- Completions now [can complete inside of an argument](https://github.com/nushell/nushell/pull/4023) (tw4452852)
- We now [expand tilde when reading plugin directories](https://github.com/nushell/nushell/pull/4052) (hedonihilist)
- We also [turn off ansi colors when not in a TTY](https://github.com/nushell/nushell/pull/4058)
- Fixed some of the [wasm deps](https://github.com/nushell/nushell/pull/4061) (jt)
- Fixed a [leak of a `let`-binding](https://github.com/nushell/nushell/pull/4022) (Pantonshire)
- Use [SIMD-enabled compiler flags](https://github.com/nushell/nushell/pull/4021) (aminya)
- Updated polars [dependency to 0.16](https://github.com/nushell/nushell/pull/4013) (elferherrera)
- Updates to how [`path join` works](https://github.com/nushell/nushell/pull/4008) (kubouch)
- Moved `nu-path` tests into [integration tests](https://github.com/nushell/nushell/pull/4015) (kubouch)
- New support for [converting to column paths](https://github.com/nushell/nushell/pull/4048) (fdncred)
- Cleanup [fixes to make tests more resilient](https://github.com/nushell/nushell/pull/4029) (kubouch)
- Internal improvement [to make working with spans easier](https://github.com/nushell/nushell/pull/4031) (elferherrera)
- Fix to [gitpod](https://github.com/nushell/nushell/pull/4033) (Merith-TK)
- Fix to [big int handling in `to`](https://github.com/nushell/nushell/pull/4034) (pjmore)
- Fixed a [typo](https://github.com/nushell/nushell/pull/4040) (lildata)
- Fixed [some typos in the tutor](https://github.com/nushell/nushell/pull/4051) (hojjatabdollahi)
- Removed [the experimental scrolling support as it had broken](https://github.com/nushell/nushell/pull/4063)

## Engine-q

Engine-q continues to grow to become the upcoming engine for Nushell. Over the last three weeks, it gained basic filesystem support, improved completions, lots of new internal commands including `select`, `ps`, `sys`, and more.

We've also added a full module system, a new error reporter using [miette](https://github.com/zkat/miette), and support for externals.

It's grown to the stage that some of us are starting to dogfood using engine-q as our shell.

# Looking ahead

For the next few months, as engine-q matures, we'll be contributing to both Nushell and engine-q. This will help Nushell continue to grow and help support users of Nushell. We'll also use the knowledge we get from support Nushell in how we design these last pieces of engine-q.

As it grows, we'll make a way to help us test engine-q until we're confident it's ready to be moved into place.
