---
title: Nushell 0.39
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.39 of Nu. This release is a bugfix release of 0.38.
---

# Nushell 0.39

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.39 of Nu. This release is a bugfix release of 0.38.

<!-- more -->

# Where to get it

Nu 0.39 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.39.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

- History file is now removed when the history is cleared (fdncred)
- HTML selector has a regression fixed (lucassmmg)
- Unused dependencies were removed (lucassmmg)
- Updated clippy warnings were fixed (jt)

# Engine-q progress

You'll notice that this release is pretty light, only a set of fixes on 0.38. This is because our energy is now largely focused on engine-q. We're excited to get this in front of you.

Just to tease a little of what will be possible, this week we added support for processing streams in parallel in engine-q using a new `par-each` command. We'll talk more about this as it develops.

# Looking forward

We're excited about what the new engine changes will bring in terms of performance, correctness, and new capabilities. If you're interested in helping out, come [join us on the discord](https://discord.gg/NtAbbGn)!
