---
title: Nushell 0.41
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.41 of Nu. This release is a bugfix release of 0.40.
---

# Nushell 0.41

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.41 of Nu. This release is a bugfix release of 0.41.

<!-- more -->

# Where to get it

Nu 0.41 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.41.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## Features

- [Add -l/--login flag for compat with other shells](https://github.com/nushell/nushell/pull/4175) (ahouts)

## Fixes

- [`save --append` will now create a file if missing](https://github.com/nushell/nushell/pull/4156) (BraulioVM)
- [Upgraded dependencies](https://github.com/nushell/nushell/pull/4135) (ahkrr)
- [Corrected spelling in crate docs and code docs](https://github.com/nushell/nushell/pull/4152) (EdwardBetts)
- [Fixed the markup in some of the crate docs](https://github.com/nushell/nushell/pull/4155) (tshepang)
- [external arguments are now sanitized more](https://github.com/nushell/nushell/pull/4157) (BraulioVM)
- [upx/strip has been removed after feedback from users](https://github.com/nushell/nushell/pull/4173) (fdncred)
- [Clipboard capability via arboard removed](https://github.com/nushell/nushell/pull/4174) (jt)
- [Removed some unnecessary allocation](https://github.com/nushell/nushell/pull/4178) (ahouts)

# Engine-q progress

As engine-q matures, our energy continues to be directed towards it. Over [80 PRs](https://github.com/nushell/engine-q/pulls?page=1&q=is%3Apr+is%3Aclosed) have been merged into engine-q since the last Nushell release. As engine-q nears readiness for early adopters to begin using it, we've begun concentrating on closing the remaining gaps in functionality so that it can be used as a daily shell. Once ready, Nushell will have its core functionality replaced by engine-q and from there on we'll be using the new engine. We're planning to change the version number significantly to reflect the jump in features.

# Looking forward

As we enter the holidays, the focus of the Nushell effort continues to be on engine-q. There are still [many commands left to port](https://github.com/nushell/engine-q/issues/242) and more places to jump in. If you'd like to help, come join us on the [discord](https://discord.gg/NtAbbGn). We'd be happy to show you around.
