---
title: Nushell 0.42
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.42 of Nu. This release is a bugfix release of 0.41.
---

# Nushell 0.42

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.42 of Nu. This release is a bugfix release of 0.41.

<!-- more -->

# Where to get it

Nu 0.42 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.42.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

## Fixes

- Can optionally [use an insecure SSL cert](https://github.com/nushell/nushell/pull/4219) (nibon7)
- Fixed a crash [when viewing text files](https://github.com/nushell/nushell/pull/4226) (nibon7)
- Build fixed for [NetBSD](https://github.com/nushell/nushell/pull/4192) (0323pin)

## Breaking change

- For naming consistency, [`into column_path` is now `into column-path`](https://github.com/nushell/nushell/pull/4189) (hustcer)

# Engine-q progress

At this point, we're now 100% focused on getting engine-q done. Over [120 PRs](https://github.com/nushell/engine-q/pulls?page=1&q=is%3Apr+is%3Aclosed) have been merged into engine-q since the last Nushell release and another [20 PRs in reedline](https://github.com/nushell/reedline/pulls?q=is%3Apr+is%3Aclosed).

Engine-q is now able to be used as a standalone shell. It includes the full set of dataframe functionality and most of the nushell commands. We aren't yet making nightly builds available, but you should be able to [clone and build engine-q](https://github.com/nushell/engine-q) on your machine in the same way you might grab the latest Nushell. As you try out engine-q, also give a read over the [in-progress breaking change list](https://github.com/nushell/engine-q/issues/522), as it shows where the new engine will differ from Nushell's current engine.

# Looking forward

There are still [some commands left to port](https://github.com/nushell/engine-q/issues/242) if you'd like to jump in and give porting a try. If you're interested, you can also help us by testing out engine-q itself as a shell and report your experiences with it. And of course, come join us on the [discord](https://discord.gg/NtAbbGn). We'd be happy to show you around.
