---
title: Nushell 0.43
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.43 of Nu. This release is a bugfix release of 0.42.
---

# Nushell 0.43

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.43 of Nu. This release is a bugfix release of 0.42.

<!-- more -->

# Where to get it

Nu 0.43 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.43.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

You can now learn about some of the upcoming changes in Nushell by reading the `tutor e-q` page. It will tell you about some of the new features and breaking changes, as well as link you to the full list of changes.

## Fixes

- Fix to the [sample configuration file](https://github.com/nushell/nushell/pull/4241) (ilius)
- Fix to a [crate description](https://github.com/nushell/nushell/pull/4247) (michel-slm)
- Bump to some [dependencies in wasm support](https://github.com/nushell/nushell/pull/4258) (dependabot)
- Update to [sysinfo support](https://github.com/nushell/nushell/pull/4261) (GuillaumeGomez)
- Fix to build [on latest Rust stable + clippy](https://github.com/nushell/nushell/pull/4262) (jt)

# Engine-q progress

Engine-q is now nearly complete. Most of the commands have been ported, as has support for the `shells` feature, many reedline-related improvements, text encoding, and much more. It's now ready for early adopters to pick it up and use it as their shell, reporting any issues they find.

To try it out, you can [build and run engine-q as a standalone application](https://github.com/nushell/engine-q). Also check out the [list of configuration settings](https://github.com/nushell/engine-q/issues/459), [list of breaking changes](https://github.com/nushell/engine-q/issues/522), and [the final checklist before engine-q merges into Nushell](https://github.com/nushell/engine-q/issues/735).

We're hoping to merge engine-q into the main Nushell codebase after the the upcoming 0.44 release. We'll number this release 0.60 to show how much progress has been made by switching to the new engine. We've love to get your feedback on engine-q before it becomes the main Nushell, to help us fix any major issues before the merge happens. Let us know what you find!

You can check out a [recent video about engine-q](https://www.youtube.com/watch?v=c18l_HPsOxs) if you'd like to see it in action.

# Looking forward

There are still [some commands left to port](https://github.com/nushell/engine-q/issues/242) if you'd like to jump in and give porting a try. If you're interested, you can also help us by testing out engine-q itself as a shell and report your experiences with it. And of course, come join us on the [discord](https://discord.gg/NtAbbGn). We'd be happy to show you around.

Thanks again for all your support.
