---
title: Nushell 0.44
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing 0.44 of Nu. This is the last release before engine-q becomes the new engine.
---

# Nushell 0.44 - the calm before the storm

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing 0.44 of Nu. This is the last release before engine-q becomes the new engine.

<!-- more -->

# Where to get it

Nu 0.44 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.44.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# What's New

The `drop nth` command can now also take a range, allowing you to drop a range of rows as well.

# It's time

Here we are. The last release before engine-q merges into Nushell main. There are an [enormous amount of changes coming](https://github.com/nushell/nushell/pull/4364), including many [breaking changes](https://github.com/nushell/nushell/issues/4305). We encourage you to take a look at the breaking changes ahead of the engine-q releases so that you're familiar with the differences in commands.

# Looking forward

A few things are coming up:

- After this release, engine-q will land into Nushell main. At this point, we'll work to polish it and prepare it for its first release.
- If, as we approach time for the coming release, we feel that it's close but not yet ready, we'll instead release a one-off set of binaries that you can download. This won't be a full release, but instead a beta release geared towards getting more feedback from early adopters.
- When it's ready, we'll release the first full Nushell release with engine-q. We'll likely number this by skipping versions, jumping to 0.60 to show how much has changed and also letting folks know to look for breaking changes as well.
- From there we'll keep building on the new engine, improving it for 1.0 and beyond.
