---
title: Nushell 0.66
author: The Nu Authors
author_site: https://twitter.com/nu_shell
author_image: https://www.nushell.sh/blog/images/nu_logo.png
excerpt: Today, we're releasing version 0.66 of Nu. This is release includes a new table output, better exit code support, and more.
---

# Nushell 0.66

Nushell, or Nu for short, is a new shell that takes a modern, structured approach to your commandline. It works seamlessly with the data from your filesystem, operating system, and a growing number of file formats to make it easy to build powerful commandline pipelines.

Today, we're releasing version 0.66 of Nu. This is release includes a new table output, better exit code support, and more.

<!-- more -->

# Where to get it

Nu 0.66 is available as [pre-built binaries](https://github.com/nushell/nushell/releases/tag/0.66.0) or from [crates.io](https://crates.io/crates/nu). If you have Rust installed you can install it using `cargo install nu`.

If you want all the built-in goodies, you can install `cargo install nu --features=extra`.

As part of this release, we also publish a set of optional plugins you can install and use with Nu. To install, use `cargo install nu_plugin_<plugin name>`.

# Themes of this release

## New table output (zhiburt)

When you pull up 0.66 and print out a table you might notice something - that it looks surprisingly similar to previous releases of Nushell. But, under the hood, something has changed. In 0.66, we've moved to a new table renderer: `tabled`.

We're looking forward to really [getting creative](https://github.com/zhiburt/tabled/issues/198) with future releases and what tabled allows us to do.

## Exit codes (WindSoilder, jt)

We've done work in this release that will cause pipelines and commands to stop a script from continuing if they hit a non-zero exit case, much in the same way as `a && b` in bash does not run `b` if `a` returns with a non-zero exit code.

This has been extended to also work when running the full script, so that `nu` itself will return an non-zero exit code matching the error the script saw when it stopped.

# Looking ahead

We're deep in preparations for the work that will get us to 0.80, including a lot of syntax improvements, pipeline improvements, and more. We'll be talking about these more as the design and implementation develops.

From there, we're on our path to 1.0.

# Full changelog

## Nushell

- jt created [fix 0.66 nu-command crate](https://github.com/nushell/nushell/pull/6138), and [bump to 0.66](https://github.com/nushell/nushell/pull/6137), and [move to latest stable reedline](https://github.com/nushell/nushell/pull/6136), and [Revert "`extern` command should be treated as external"](https://github.com/nushell/nushell/pull/6116), and [exit with non-zero exit code when script ends with non-zero exit](https://github.com/nushell/nushell/pull/6115), and [Use simpler reedline](https://github.com/nushell/nushell/pull/6016)
- merelymyself created [allow view-source to view aliases](https://github.com/nushell/nushell/pull/6135), and [remove misleading example from `source`](https://github.com/nushell/nushell/pull/6118), and [throw error if any? or all? expression invokes invalid command](https://github.com/nushell/nushell/pull/6110), and [Prevents panic when parsing JSON containing large number](https://github.com/nushell/nushell/pull/6096), and [add a fair amount of search terms](https://github.com/nushell/nushell/pull/6090), and [make `into string --decimals` add decimals to integer numbers](https://github.com/nushell/nushell/pull/6084), and [add config option to limit external command completions](https://github.com/nushell/nushell/pull/6076), and [add `split list` subcommand to split up lists](https://github.com/nushell/nushell/pull/6062), and [add `wc` search term for `size` and `length`](https://github.com/nushell/nushell/pull/6056), and [allow for easy reset of config files with a single command](https://github.com/nushell/nushell/pull/6041), and [make auto-cd change `$env.OLDPWD`](https://github.com/nushell/nushell/pull/6019), and [add `unspanned` flag to error make, add tests](https://github.com/nushell/nushell/pull/6017), and [throw parser error when multiple short flags are defined without whitespace](https://github.com/nushell/nushell/pull/6000), and [adds better error for failed string-to-duration conversions](https://github.com/nushell/nushell/pull/5977)
- nibon7 created [Make login.nu work when using nu as a login shell ](https://github.com/nushell/nushell/pull/6134), and [Use local time for logger](https://github.com/nushell/nushell/pull/6132), and [Fix print_table_or_error when `table` is overridden](https://github.com/nushell/nushell/pull/6130), and [Fix PipelineData::print when `table` is overridden](https://github.com/nushell/nushell/pull/6129), and [Simplify print_table_or_error](https://github.com/nushell/nushell/pull/6122), and [Simplify eval_block](https://github.com/nushell/nushell/pull/6121), and [Simplify PipelineData::print](https://github.com/nushell/nushell/pull/6119), and [Log warning message if nu failed to sync history](https://github.com/nushell/nushell/pull/6106), and [Don't panic if nu failed to create config files ](https://github.com/nushell/nushell/pull/6104), and [Fix ps command on linux](https://github.com/nushell/nushell/pull/6047), and [Fix panic when opening symlink which points to an inaccessible directory](https://github.com/nushell/nushell/pull/6034)
- fdncred created [update some dependencies](https://github.com/nushell/nushell/pull/6131), and [expand durations to include month, year, decade](https://github.com/nushell/nushell/pull/6123), and [move the shell integration title setting to the right place](https://github.com/nushell/nushell/pull/6112), and [trim spaces when converting strings to ints](https://github.com/nushell/nushell/pull/6105), and [enable find to work on some external streams](https://github.com/nushell/nushell/pull/6094), and [add more shell integration ansi escapes in support of vscode](https://github.com/nushell/nushell/pull/6087), and [enable find to be able to highlight some hits](https://github.com/nushell/nushell/pull/6086), and [Ensure users colors are maintained when highlighting find matches](https://github.com/nushell/nushell/pull/6054), and [allow `into int` to convert octal numbers and 0 padded strings](https://github.com/nushell/nushell/pull/6053), and [add ability to do into int on floats using a radix](https://github.com/nushell/nushell/pull/6033), and [fix small bug converting string to int](https://github.com/nushell/nushell/pull/6031), and [fixes ansi escape leakage from ill-behaved externals, again!](https://github.com/nushell/nushell/pull/6012), and [update some dependencies](https://github.com/nushell/nushell/pull/6009), and [add the ability to highlight with regular expressiosn](https://github.com/nushell/nushell/pull/5992), and [tweak the find hit highlighting](https://github.com/nushell/nushell/pull/5981), and [make history.txt and history.sqlite3 tables have same command column](https://github.com/nushell/nushell/pull/5980), and [add the ability to highlight searched for terms](https://github.com/nushell/nushell/pull/5979)
- kubouch created [Use official virtualenv repo for the CI tests](https://github.com/nushell/nushell/pull/6127), and [Allow keeping selected environment variables from removed overlay](https://github.com/nushell/nushell/pull/6007), and [Fix load order of config files](https://github.com/nushell/nushell/pull/6006), and [Split merging of parser delta and stack environment](https://github.com/nushell/nushell/pull/6005), and [Revert "make module imports in scripts used for relative path."](https://github.com/nushell/nushell/pull/6002), and [Expand Hooks Functionality](https://github.com/nushell/nushell/pull/5982)
- elferherrera created [plugin show signature](https://github.com/nushell/nushell/pull/6126), and [concat string with lazy expressions](https://github.com/nushell/nushell/pull/6093), and [append string to series](https://github.com/nushell/nushell/pull/6089), and [check column type during aggregation](https://github.com/nushell/nushell/pull/6058)
- hustcer created [fix typo of `port` command](https://github.com/nushell/nushell/pull/6120)
- WindSoilder created [try make port test more reliable](https://github.com/nushell/nushell/pull/6117), and [Make Semicolon stop on error](https://github.com/nushell/nushell/pull/6079), and [load default env when user don't specified env path](https://github.com/nushell/nushell/pull/6040), and [Add bytes collect, bytes remove, bytes build cmd](https://github.com/nushell/nushell/pull/6008), and [add more bytes cmd](https://github.com/nushell/nushell/pull/5989)
- PlasmaIntec created [Allow cp multiple files at once](https://github.com/nushell/nushell/pull/6114), and [Allow mv multiple files at once](https://github.com/nushell/nushell/pull/6103), and [Allow multiple patterns in ls command](https://github.com/nushell/nushell/pull/6098)
- micouy created [Bump `powierza-coefficient` to `1.0.1`](https://github.com/nushell/nushell/pull/6099)
- zhiburt created [nu-table/ Bump tabled version](https://github.com/nushell/nushell/pull/6097), and [nu-table: Update tests after #6080](https://github.com/nushell/nushell/pull/6082), and [Consider space for single `...` column not enough space](https://github.com/nushell/nushell/pull/6080), and [nu-table: Add a few tests](https://github.com/nushell/nushell/pull/6074), and [nu-table: Fix header style (again 2x)](https://github.com/nushell/nushell/pull/6073), and [nu-table: Add suffix coloring](https://github.com/nushell/nushell/pull/6071), and [Refactoring nu_table](https://github.com/nushell/nushell/pull/6049), and [nu-table: Bump tabled to master](https://github.com/nushell/nushell/pull/6038), and [nu-table: Use all available termwidth](https://github.com/nushell/nushell/pull/6037), and [nu-table: Restore atty check](https://github.com/nushell/nushell/pull/6036), and [nu-table: Don't show empty header](https://github.com/nushell/nushell/pull/6035), and [nu_table: Fix truncating logic](https://github.com/nushell/nushell/pull/6028), and [nu_table: Fix style of tables with no header](https://github.com/nushell/nushell/pull/6025), and [Move wrap responsibility on tabled](https://github.com/nushell/nushell/pull/5999), and [nu-table: Fix wrap logic](https://github.com/nushell/nushell/pull/5998), and [nu-table: Fix a term_width value](https://github.com/nushell/nushell/pull/5997), and [nu-table: Remove a error prone assertion](https://github.com/nushell/nushell/pull/5993)
- Kangaxx-0 created [`extern` command should be treated as external](https://github.com/nushell/nushell/pull/6083), and [Downgrade typetag to 0.1.8](https://github.com/nushell/nushell/pull/6044), and [Conditionally disable expansion for external command](https://github.com/nushell/nushell/pull/6014)
- Mathspy created [Add CustomValue support to plugins](https://github.com/nushell/nushell/pull/6070), and [Restore `nu_with_plugins` test macro](https://github.com/nushell/nushell/pull/6065), and [Add plugin CLI argument](https://github.com/nushell/nushell/pull/6064)
- jackos created [Fix short-flag completion](https://github.com/nushell/nushell/pull/6067)
- Benjamin-L created [fix documentation of plugin encodings](https://github.com/nushell/nushell/pull/6052)
- rgwood created [Handle Windows drive paths in auto-cd](https://github.com/nushell/nushell/pull/6051), and [Revert "Return error when external command core dumped (#5908)"](https://github.com/nushell/nushell/pull/5987)
- stormasm created [Cargo.lock was not checked in on typetag revert](https://github.com/nushell/nushell/pull/6050)
- valdaarhun created [Add search terms to 'math' commands](https://github.com/nushell/nushell/pull/5990)
- moxuze created [Add --directory (-D) flag to ls, list the directory itself instead of its contents](https://github.com/nushell/nushell/pull/5970)

## Documentation

- kubouch created [Add overviews of chapters; Move Introduction to top level](https://github.com/nushell/nushell.github.io/pull/542), and [Add hooks documentation](https://github.com/nushell/nushell.github.io/pull/537)
- hustcer created [Translate hooks.md to Chinese](https://github.com/nushell/nushell.github.io/pull/541), and [Update zh-CN translation for moving_around and theming](https://github.com/nushell/nushell.github.io/pull/539), and [Update some zh-CN translations](https://github.com/nushell/nushell.github.io/pull/538), and [update vuepress and related plugins](https://github.com/nushell/nushell.github.io/pull/535)
- morzel85 created [Update working_with_lists.md (removing unnecessary use of echo)](https://github.com/nushell/nushell.github.io/pull/540)
- merelymyself created [Remove entry for `count`](https://github.com/nushell/nushell.github.io/pull/533), and [Add helpful links](https://github.com/nushell/nushell.github.io/pull/531)
- WindSoilder created [add light theme relative doc](https://github.com/nushell/nushell.github.io/pull/532)
- fdncred created [add some new operators](https://github.com/nushell/nushell.github.io/pull/530)

## Nu_Scripts

- Eun created [Use autojump with nushell](https://github.com/nushell/nu_scripts/pull/265), and [`select-aws-profile.nu` an alias to select an aws profile with ease](https://github.com/nushell/nu_scripts/pull/262)
- WindSoilder created [fix env.PATH after conda activate](https://github.com/nushell/nu_scripts/pull/264)
- fdncred created [add nana to twin script](https://github.com/nushell/nu_scripts/pull/263)

## reedline

- jt created [bump to 0.9](https://github.com/nushell/reedline/pull/454), and [Remove animations and resize repaint](https://github.com/nushell/reedline/pull/451)
- fdncred created [update some deps](https://github.com/nushell/reedline/pull/453)
- drbrain created [Support switching the case of a char with ~ in vi](https://github.com/nushell/reedline/pull/452), and [Support vi mode ; and , motions](https://github.com/nushell/reedline/pull/450)
