---
home: true
heroImage: null
heroText: Nushell
tagline: Eine neue Art von Shell.
actionText: Loslegen →
actionLink: /de/book/
features:
  - title: Pipelines um jedes Betriebssystem zu steuern
    details: Nu läuft auf Linux, macOS und Windows. Einmal lernen - überall verwenden.
  - title: Alles sind Daten.
    details: Pipelines in Nu nutzen strukturierte Daten die einfach ausgewählt, gefiltert und sortiert werden können. Nie wieder Strings parsen, sondern direkt anfangen Probleme zu lösen.
  - title: Leistungsfähige Plugins
    details: Nu kann dank des leistungsfähigen Plugin-Systems einfach erweitert werden.
---

<img src="https://www.nushell.sh/frontpage/ls-example.png" alt="Screenshot zeigt die Verwendung des ls-Befehls" class="hero"/>

### Nu funktioniert mit existierenden Daten

Nu versteht [JSON, YAML, XML, Excel und noch mehr](/book/loading_data.html). Es ist einfach Daten in eine Nu Pipeline zu laden ganz egal ob diese in einer Datei, einer Datenbank oder einer Web-API liegen:

<img src="https://www.nushell.sh/frontpage/fetch-example.png" alt="Screenshot zeigt das Laden von Daten von einer Web-API" class="hero"/>

### Nu hat tolle Fehlermeldungen

Nu arbeitet mit typisierten Daten, wodurch Fehler abgefangen werden, die andere Shells nicht erkennen. Und falls etwas schiefgeht bekommt genau mitgeteilt wo und weshalb:

<img src="https://www.nushell.sh/frontpage/miette-example.png" alt="Screenshot zeigt eine Fehlermeldung, wenn Nu einen type error abfängt" class="hero"/>

## Nu installieren

Nushell ist verfügbar [als kompiliertes Programm](https://github.com/nushell/nushell/releases), [von einem Packetmanager](https://repology.org/project/nushell/versions), und als [Source Code](https://github.com/nushell/nushell). Die detaillierten Installationsanweisungen sind [hier](/de/book/installation.html) zu finden. Oder direkt loslegen:

#### macOS / Linux:

```sh
$ brew install nushell
```

#### Windows:

```powershell
$ winget install nushell
```

## Community

Wenn es irgendwelche Fragen gibt, am besten unserem (englischsprachigen) [Discord Server](https://discord.gg/NtAbbGn) beitreten. Dort gibt es sehr viele Menschen die gerne weiterhelfen ganz egal ob man neu zu Nu ist oder nicht.

Dazu beitragen diese Seiten zu verbessern durch [Feedback](https://github.com/nushell/nushell.github.io/issues) oder eine [Pull Request](https://github.com/nushell/nushell.github.io/pulls).
