# Math

何かの作業をしているとき、いくつかの数字を足し算したくなるときがあります。Nu には基本的な数学演算が用意されています。

"math mode"にするには、コマンドの先頭に`=`をつけます。これにより演算子を使用するコマンドを書くことができます。`where`コマンドのように自動でおこなってくれるコマンドもあります。

## 四則演算

```
> = 1 + 3
4
```

Nu では足し算、引き算、掛け算、割り算をそれぞれ`+`,`-`,`*`そして`/`演算子でおこなうことができます。演算子の優先順位が考慮されるので`1 + 2 * 3`は`1 + (2 * 3)`として扱われます。

## 括弧

math mode では括弧を利用して数式をグループ化できます。これにより足し算を優先したいときは`(1 + 2) * 3`と書くことができます。

## `in`と`not-in`

`in`と`not-in`演算子を使って、値が集合に含まれるかどうかを調べることができます。

```
> = 1 in [1 2 3]
true
```

```
> = 1 not-in [1 2 3]
false
```

## `=~`と`!~`

`=~`と`!~`演算子を使って文字列が他の文字列の中にあるかどうかを調べることができます。

```
> = "foobar" =~ "foo"
true
```

```
> = "foobar" !~ "baz"
true
```

## 比較演算子

以下の比較演算子が利用可能です。

- `<` - less than
- `<=` - less than or equal to
- `>` - greater than
- `>=` - greater than or equal to
- `==` - equal to
- `!=` - not equal to

## 複合演算子

`&&`と`||`を使ってブーリアンを返す２つの操作を結合できます。例えば: `ls | where name in ["one" "two" "three"] && size > 10kb`
