# 别名

Nushell 中的别名提供了一种简单的文本替换方式，这允许你为一个较长的命令创建一个简写名称，包括其默认参数。

例如，让我们创建一个名为 `ll` 的别名，它将展开为 `ls -l`。

```bash
> alias ll = ls -l
```

我们可以通过别名来调用它：

```bash
> ll
```

一旦我们这样做了，就如同我们输入了 `ls -l` 一样。这也允许我们传入标志或位置参数。例如，我们现在也可以这样写：

```
> ll -a
```

可得到与输入了`ls -l -a`一样的结果。

## 编写带有管道的别名

如果你想在别名中添加管道，你必须用小括号把它括起来，小括号是一对圆括号`()`，用来标记你的一组带有管道命令：

```shell
alias lsname = (ls | get name)
```

下面是一个带有多个管道的别名：

```shell
alias lt = (ls | sort-by modified -r | sort-by type)
```

## 持久化

为了使你的别名持久化，它必须被添加到你的 _config.nu_ 文件中。
关于如何持久化别名，以便在你启动 Nushell 时它们是可用的，请参考 [配置](configuration.md) 部分。
